Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.consultrn._1_0.protocol
Class ConsultRnReplyType

    java.lang.Object
      be.fgov.ehealth.commons._1_0.protocol.ResponseType
          be.fgov.ehealth.consultrn._1_0.protocol.ConsultRnReplyType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  CreatePersonReply, DeleteInscriptionReply, FamilyCompositionReply, InsertInscriptionReply, ModifyPersonReply, MonitoringReply, PersonHistoryAddressReply, PersonHistoryBirthReply, PersonHistoryCivilStateReply, PersonHistoryDeceaseReply, PersonHistoryFamilyCompositionReply, PersonHistoryGenderReply, PersonHistoryNameReply, PersonHistoryNationalityReply, SearchBySSINReply, SearchPhoneticReply

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-09-20T05:38:57+02:00",
               comments="JAXB RI v2.2.11")
    public class ConsultRnReplyType

extends ResponseType
implements Serializable

standard structure of consult RN reply

Java class for ConsultRnReplyType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultRnReplyType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:1_0:protocol}ResponseType">
           <sequence>
             <element name="ErrorInformation" type="{urn:be:fgov:ehealth:consultRN:1_0:core}ErrorType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ConsultRnReplyType()`

Method Summary
`List<ErrorType>` | `getErrorInformations()` Gets the value of the errorInformations property.

Methods inherited from class be.fgov.ehealth.commons._1_0.protocol.ResponseType
`getId, getStatus, setId, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultRnReplyType

    public ConsultRnReplyType()

Method Detail

### getErrorInformations

    public List<ErrorType> getErrorInformations()

  Gets the value of the errorInformations property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the errorInformations property.

  For example, to add a new item, do as follows:

          getErrorInformations().add(newItem);

  Objects of the following type(s) are allowed in the list `ErrorType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.